Skip to content
Yeoh edited this page Dec 28, 2018 · 10 revisions

Using FragmentRigger guide.

If you have any question when you are using this library?

you can post Issues or Email me

Support

  • FragmentRigger only supports android.support.v4.app.Fragment and android.support.v4.app.FragmentActivity.This library is not supported as your Fragment/Activity is not extend those classes.
  • FragmentRigger support SDK12+.
  • FragmentRigger support Java language for now. Kotlin will be supported in future.

Installation

This library is powered by AspectJ,you must config the AspectJ library if you wanna to use this library.

Add to build.gradle in root project

buildscript {
    dependencies {
        ...
        classpath "com.hujiang.aspectjx:gradle-android-plugin-aspectjx:2.0.4"
        classpath 'org.aspectj:aspectjtools:1.8.13'
    }
}
allprojects {
    repositories {
        ...
        maven { url 'https://jitpack.io' }
    }
}

Add to build.gradle in application module

apply plugin: 'android-aspectjx'
android{
  ...
}

Add to build.gradle in library module

library latest version
FragmentRigger
'com.justkiddingbaby:fragment-rigger:lastest version'

Don't forget turn off Instant Run

You can’t perform that action at this time.